import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.menu.BigImageMenu;

/**
 * <p>This example demonstrates how to use the
 * component BigImageMenu within the GUI framework
 * JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleBigImageMenuExample extends Frame {
  
  /**
   * Create and show a BigImageMenu
   */
  public VoleBigImageMenuExample() {

    // create a big BigImageMenu
    BigImageMenu menu = new BigImageMenu(0, 0, 128, 64);
    
    // add some menu items
    menu.addMenuItem("menu1.jcif");
    menu.addMenuItem("menu2.jcif");
    menu.addMenuItem("menu3.jcif");
    
    // show the menu
    setMenu(menu);
    show();
  }

  /**
   * Instantiate the VoleBigImageMenuExample
   */
  public static void main(String[] args) {
    new VoleBigImageMenuExample();
  }
}
